weka.core

## Interface AdditionalMeasureProducer

- All Known Implementing Classes:
    AdditiveRegression, AttributeSelectedClassifier, AveragingResultProducer, Bagging, BallTree, BayesNet, BayesNetGenerator, BIFReader, ClassifierSplitEvaluator, CostSensitiveClassifierSplitEvaluator, CoverTree, CrossValidationResultProducer, CrossValidationSplitResultProducer, DatabaseResultProducer, DecisionTable, DensityBasedClustererSplitEvaluator, EditableBayesNet, ExplicitTestsetResultProducer, FilteredNeighbourSearch, IBk, InputMappedClassifier, IterativeClassifierOptimizer, J48, JRip, KDTree, LearningRateResultProducer, LinearNNSearch, LMT, M5Base, M5P, M5Rules, NearestNeighbourSearch, PART, PerformanceStats, RandomForest, RandomSplitResultProducer, RegressionSplitEvaluator, REPTree, SimpleLogistic, SMOreg, TreePerformanceStats

      public interface AdditionalMeasureProducer

  Interface to something that can produce measures other than those calculated by evaluation modules.
  Version:
    $Revision: 10141 $
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Enumeration<java.lang.String>` | `enumerateMeasures()` Returns an enumeration of the measure names.
    `double` | `getMeasure(java.lang.String measureName)` Returns the value of the named measure

- - ### Method Detail

    - #### enumerateMeasures

          java.util.Enumeration<java.lang.String> enumerateMeasures()

      Returns an enumeration of the measure names. Additional measures must follow the naming convention of starting with "measure", eg. double measureBlah()
      Returns:
        an enumeration of the measure names

    - #### getMeasure

          double getMeasure(java.lang.String measureName)

      Returns the value of the named measure
      Parameters:
        `measureName` - the name of the measure to query for its value
      Returns:
        the value of the named measure
      Throws:
        `java.lang.IllegalArgumentException` - if the named measure is not supported